Bug 124306 - k3b hangs on startup
k3b hangs on startup
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-25 11:24 EDT by Jeff Cheng
Modified: 2015-01-04 17:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:52:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Cheng 2004-05-25 11:24:49 EDT
TREE: FC2
ARCH: x86

Description of problem:
k3b hangs on startup.  Splash screen will show and says "Scanning CD
devices...".  The splash screen will not close and could be be killed.

Console output when starting:
QPixmap: Cannot create a QPixmap when no GUI is being used
QPixmap: Cannot create a QPixmap when no GUI is being used
QPixmap: Cannot create a QPixmap when no GUI is being used
QPixmap: Cannot create a QPixmap when no GUI is being used
kbuildsycoca running...

k3b was installed by individual package selection during initial
installation process.

Is this an issue with k3b scanning for re-writable devices that
doesn't exist (I do not have a re-writable drive on my machine, but
k3b should work anyways, right?), or is this a KDE/Gnome issue?

I have tried it on a machine with a re-writable drive, and k3b
recognized the drive and started normally.

Version-Release number of selected component (if applicable):
% k3b --version
Qt: 3.3.2
KDE: 3.2.2-6 Red Hat
K3b: 0.11.9

How reproducible:
Always

Steps to Reproduce:
1. Start k3b from command line or Gnome menu
Comment 1 Jeff Cheng 2004-05-25 14:42:31 EDT
Output from /proc/$PID/status:
Name:   k3b
State:  D (disk sleep)
SleepAVG:       0%
Tgid:   17063
Pid:    17063
PPid:   1
TracerPid:      17311
Uid:    5256    5256    5256    5256
Gid:    5261    5261    5261    5261
FDSize: 256
Groups: 5261
VmSize:    37784 kB
VmLck:         0 kB
VmRSS:     18532 kB
VmData:     1436 kB
VmStk:      1480 kB
VmExe:      1588 kB
VmLib:     28508 kB
StaBrk: 0819f000 kB
Brk:    0a0f3000 kB
StaStk: fee9ddd0 kB
ExecLim:        08190000
Threads:        1
SigPnd: 0000000000040100
ShdPnd: 0000000000040103
SigBlk: 0000000000000000
SigIgn: 0000000000001000
SigCgt: 00000000800104a8
CapInh: 0000000000000000
CapPrm: 0000000000000000
CapEff: 0000000000000000

Is there any way to kill the hung k3b process without rebooting?  I've
tried "kill -9 $PID", killing the shell, and logging out of Gnome,
without any success. If it's waiting for a system call from the
kernel, then it'll never get one.
Comment 2 Bill Nottingham 2004-05-25 16:04:58 EDT
Any kernel messages?
Comment 3 Jeff Cheng 2004-05-25 16:15:16 EDT
From /var/log/messages:
...
May 25 16:10:21 pixel kernel: hdc: DMA interrupt recovery
May 25 16:10:21 pixel kernel: hdc: lost interrupt
May 25 16:10:21 pixel kernel: hdc: status timeout: status=0xd0 { Busy }
May 25 16:10:21 pixel kernel: hdc: status timeout: error=0x00
May 25 16:10:21 pixel kernel: hdc: DMA disabled
May 25 16:10:21 pixel kernel: hdc: drive not ready for command
May 25 16:10:21 pixel kernel: hdc: ATAPI reset complete
May 25 16:10:21 pixel kernel: cdrom_pc_intr, write: dev hdc: flags =
REQ_STARTED REQ_PC REQ_QUIET
May 25 16:10:21 pixel kernel: sector 0, nr/cnr 0/0
May 25 16:10:21 pixel kernel: bio 00000000, biotail 00000000, buffer
00000000, data 00000000, len 0
May 25 16:10:21 pixel kernel: cdb: 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00
May 25 16:10:21 pixel kernel: hdc: cdrom_pc_intr: The drive appears
confused (ireason = 0x02)
May 25 16:11:02 pixel su(pam_unix)[3496]: session opened for user root
by jccheng(uid=5256)
May 25 16:11:21 pixel kernel: hdc: lost interrupt
May 25 16:11:21 pixel kernel: cdrom_pc_intr, write: dev hdc: flags =
REQ_STARTED REQ_PC REQ_FAILED REQ_QUIET
May 25 16:11:21 pixel kernel: sector 0, nr/cnr 0/0
May 25 16:11:21 pixel kernel: bio 00000000, biotail 00000000, buffer
00000000, data 00000000, len 0
May 25 16:11:21 pixel kernel: cdb: 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00
May 25 16:11:21 pixel kernel: hdc: cdrom_pc_intr: The drive appears
confused (ireason = 0x02)
May 25 16:12:21 pixel kernel: hdc: lost interrupt
May 25 16:12:21 pixel kernel: cdrom_pc_intr, write: dev hdc: flags =
REQ_STARTED REQ_PC REQ_FAILED REQ_QUIET
May 25 16:12:21 pixel kernel: sector 0, nr/cnr 0/0
May 25 16:12:21 pixel kernel: bio 00000000, biotail 00000000, buffer
00000000, data 00000000, len 0
May 25 16:12:21 pixel kernel: cdb: 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00
May 25 16:12:21 pixel kernel: hdc: cdrom_pc_intr: The drive appears
confused (ireason = 0x02)
Comment 4 Bill Nottingham 2004-05-25 16:25:04 EDT
Kernel bug; apparently an issue with the IDE driver.

lspci output?
Comment 5 Jeff Cheng 2004-05-25 16:30:04 EDT
% lspci
00:00.0 Host bridge: Intel Corp. 82850 850 (Tehama) Chipset Host
Bridge (MCH) (rev 04)
00:01.0 PCI bridge: Intel Corp. 82850 850 (Tehama) Chipset AGP Bridge
(rev 04)
00:1e.0 PCI bridge: Intel Corp. 82801BA/CA/DB/EB/ER Hub interface to
PCI Bridge (rev 04)
00:1f.0 ISA bridge: Intel Corp. 82801BA ISA Bridge (LPC) (rev 04)
00:1f.1 IDE interface: Intel Corp. 82801BA IDE U100 (rev 04)
00:1f.2 USB Controller: Intel Corp. 82801BA/BAM USB (Hub #1) (rev 04)
00:1f.3 SMBus: Intel Corp. 82801BA/BAM SMBus (rev 04)
00:1f.4 USB Controller: Intel Corp. 82801BA/BAM USB (Hub #2) (rev 04)
00:1f.5 Multimedia audio controller: Intel Corp. 82801BA/BAM AC'97
Audio (rev 04)
01:00.0 VGA compatible controller: nVidia Corporation NV15GL [Quadro2
Pro] (rev a4)
02:07.0 SCSI storage controller: BusLogic BT-946C (BA80C30)
[MultiMaster 10] (rev 08)
02:0c.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado]
(rev 78)
Comment 6 oreilly 2004-08-04 01:02:49 EDT
I get exactly the same thing: 
 
/var/log/messages: 
Aug  3 15:34:18 neo kernel: hdc: DMA interrupt recovery 
Aug  3 15:34:18 neo kernel: hdc: lost interrupt 
Aug  3 15:34:23 neo kernel: hdc: status timeout: status=0xd0 { Busy } 
Aug  3 15:34:23 neo kernel: hdc: status timeout: error=0x00 
Aug  3 15:34:23 neo kernel: hdc: DMA disabled 
Aug  3 15:34:23 neo kernel: hdc: drive not ready for command 
Aug  3 15:34:24 neo kernel: hdc: ATAPI reset complete 
Aug  3 15:34:24 neo kernel: cdrom_pc_intr, write: dev hdc: flags = 
REQ_STARTED REQ_PC 
Aug  3 15:34:24 neo kernel: sector 0, nr/cnr 0/0 
Aug  3 15:34:24 neo kernel: bio 00000000, biotail 00000000, buffer 
00000000, data 00000000, len 0 
Aug  3 15:34:24 neo kernel: cdb: 1e 00 00 00 00 00 00 00 00 00 00 00 
00 00 00 00 
Aug  3 15:34:24 neo kernel: hdc: cdrom_pc_intr: The drive appears 
confused (ireason = 0x02) 
 
27 neo:/home/oreilly# lspci 
00:00.0 Host bridge: Intel Corp. 82840 840 (Carmel) Chipset Host 
Bridge (Hub A) (rev 01) 
00:01.0 PCI bridge: Intel Corp. 82840 840 (Carmel) Chipset AGP Bridge 
(rev 01) 
00:1e.0 PCI bridge: Intel Corp. 82801AA PCI Bridge (rev 02) 
00:1f.0 ISA bridge: Intel Corp. 82801AA ISA Bridge (LPC) (rev 02) 
00:1f.1 IDE interface: Intel Corp. 82801AA IDE (rev 02) 
00:1f.2 USB Controller: Intel Corp. 82801AA USB (rev 02) 
00:1f.3 SMBus: Intel Corp. 82801AA SMBus (rev 02) 
02:04.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M 
[Tornado] (rev 78) 
02:06.0 Multimedia audio controller: Cirrus Logic CS 4614/22/24 
[CrystalClear SoundFusion Audio Accelerator] (rev 01) 
02:08.0 VGA compatible controller: Cirrus Logic GD 5446 
02:0e.0 PCI bridge: Digital Equipment Corporation DECchip 21152 (rev 
03) 
03:0a.0 SCSI storage controller: Adaptec AIC-7899P U160/m (rev 01) 
03:0a.1 SCSI storage controller: Adaptec AIC-7899P U160/m (rev 01) 
 
26 neo:/home/oreilly# cat /proc/sys/dev/cdrom/info 
CD-ROM information, Id: cdrom.c 3.20 2003/12/17 
 
drive name:             sr0     hdc 
drive speed:            32      48 
drive # of slots:       1       1 
Can close tray:         1       1 
Can open tray:          1       1 
Can lock tray:          1       1 
Can change speed:       1       1 
Can select disk:        0       0 
Can read multisession:  1       1 
Can read MCN:           1       1 
Reports media changed:  1       1 
Can play audio:         1       1 
Can write CD-R:         1       0 
Can write CD-RW:        1       0 
Can read DVD:           0       0 
Can write DVD-R:        0       0 
Can write DVD-RAM:      0       0 
Can read MRW:           0       0 
Can write MRW:          0       0 
Can write RAM:          0       0 
 
(It works fine for the scsi cd-R drive if I prevent device scanning 
by making the /dev/hdc not readable via chmod). 
 
Comment 7 oreilly 2004-08-06 19:15:16 EDT
ps. this is NOT fixed by the new kernel 2.6.7-1.494.2.2. 
 
Comment 8 James Pybus 2004-09-07 12:07:06 EDT
Dont know if it is related but getting a similar problem, k3b and
xcdroast hang on scanning devices, used to work but havnt burnt a cd
for a while. Have tried kernels: 2.6.8-1.521; 2.6.7-1.494.2.2;
2.6.6-1.435.2.3 with the same result. k3b and xcdroast both become
unkillable (only solution) a reboot. There is loads of ugly stuff in
the logs I have no idea about mentioning hcd which is the cdrom the
cdrw is hdd, more than happy to make any other info available on request.

lspci:
00:00.0 Host bridge: Intel Corp. 82845 845 (Brookdale) Chipset Host
Bridge (rev 03)
00:01.0 PCI bridge: Intel Corp. 82845 845 (Brookdale) Chipset AGP
Bridge (rev 03)
00:1e.0 PCI bridge: Intel Corp. 82801BA/CA/DB/EB/ER Hub interface to
PCI Bridge (rev 12)
00:1f.0 ISA bridge: Intel Corp. 82801BA ISA Bridge (LPC) (rev 12)
00:1f.1 IDE interface: Intel Corp. 82801BA IDE U100 (rev 12)
00:1f.2 USB Controller: Intel Corp. 82801BA/BAM USB (Hub #1) (rev 12)
00:1f.3 SMBus: Intel Corp. 82801BA/BAM SMBus (rev 12)
00:1f.4 USB Controller: Intel Corp. 82801BA/BAM USB (Hub #2) (rev 12)
00:1f.5 Multimedia audio controller: Intel Corp. 82801BA/BAM AC'97
Audio (rev 12)
01:00.0 VGA compatible controller: ATI Technologies Inc Rage 128 Pro
Ultra TF
02:08.0 Ethernet controller: Intel Corp. 82801BA/BAM/CA/CAM Ethernet
Controller (rev 03)
02:09.0 VGA compatible controller: 3Dfx Interactive, Inc. Voodoo 3
(rev 01)
02:0a.0 VGA compatible controller: 3Dfx Interactive, Inc. Voodoo 3
(rev 01)

/var/log/messages:
Sep  7 16:59:36 help kernel: hdc: cdrom_pc_intr: The drive appears
confused (ire ason = 0x02)
Sep  7 17:00:36 help kernel: hdc: lost interrupt
Sep  7 17:00:36 help kernel: cdrom_pc_intr, write: dev hdc: flags =
REQ_STARTED REQ_PC REQ_FAILED REQ_QUIET
Sep  7 17:00:36 help kernel: sector 0, nr/cnr 0/0
Sep  7 17:00:36 help kernel: bio 00000000, biotail 00000000, buffer
00000000, data 00000000, len 0
Sep  7 17:00:36 help kernel: cdb: 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00
Sep  7 17:00:36 help kernel: hdc: cdrom_pc_intr: The drive appears
confused (ireason = 0x02)

cat /proc/sys/dev/cdrom/info:
CD-ROM information, Id: cdrom.c 3.20 2003/12/17
 
drive name:             hdd     hdc
drive speed:            8       48
drive # of slots:       1       1
Can close tray:         1       1
Can open tray:          1       1
Can lock tray:          1       1
Can change speed:       1       1
Can select disk:        0       0
Can read multisession:  1       1
Can read MCN:           1       1
Reports media changed:  1       1
Can play audio:         1       1
Can write CD-R:         1       0
Can write CD-RW:        1       0
Can read DVD:           0       0
Can write DVD-R:        0       0
Can write DVD-RAM:      0       0
Can read MRW:           0       0
Can write MRW:          0       0
Can write RAM:          0       0
Comment 9 James Pybus 2004-09-13 08:00:18 EDT
Thought the new cdrecord might make a difference....

Still the same even as root:

The k3b splash screen just sits at "Scanning for CD devices..."

[root@help root]# k3b
Link points to "/tmp/ksocket-root"
Link points to "/tmp/kde-root"
kbuildsycoca running...
Reusing existing ksycoca

[root@help root]# ps waux --forest
<snip>
root      4230  0.0  0.1  4896 1072 ?        S    12:55   0:00 su -
root      4233  0.0  0.2  5508 1364 ?        S    12:55   0:00  \_ -bash
root      4284  1.0  2.8 37616 18664 ?       D    12:56   0:01      \_ k3b

[root@help root]# tail -vf /var/log/messages
Sep 13 12:49:23 help kernel: hdc: DMA interrupt recovery
Sep 13 12:49:24 help kernel: hdc: lost interrupt
Sep 13 12:49:24 help kernel: hdc: status timeout: status=0xd0 { Busy }
Sep 13 12:49:24 help kernel: hdc: status timeout: error=0x00
Sep 13 12:49:24 help kernel: hdc: DMA disabled
Sep 13 12:49:24 help kernel: hdc: drive not ready for command
Sep 13 12:49:24 help kernel: hdc: ATAPI reset complete
Sep 13 12:49:24 help kernel: cdrom_pc_intr, write: dev hdc: flags =
REQ_STARTED REQ_PC REQ_QUIET
Sep 13 12:49:24 help kernel: sector 0, nr/cnr 0/0
Sep 13 12:49:24 help kernel: bio 00000000, biotail 00000000, buffer
00000000, data 00000000, len 0
Sep 13 12:49:24 help kernel: cdb: 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00
Sep 13 12:49:24 help kernel: hdc: cdrom_pc_intr: The drive appears
confused (ireason = 0x02)
Sep 13 12:50:24 help kernel: hdc: lost interrupt
Sep 13 12:50:24 help kernel: cdrom_pc_intr, write: dev hdc: flags =
REQ_STARTED REQ_PC REQ_FAILED REQ_QUIET
Sep 13 12:50:24 help kernel: sector 0, nr/cnr 0/0
Sep 13 12:50:24 help kernel: bio 00000000, biotail 00000000, buffer
00000000, data 00000000, len 0
Sep 13 12:50:24 help kernel: cdb: 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00
Sep 13 12:50:24 help kernel: hdc: cdrom_pc_intr: The drive appears
confused (ireason = 0x02)
Sep 13 12:51:24 help kernel: hdc: lost interrupt

[root@help root]# rpm -qi kernel-2.6.8 k3b cdrecord
Name        : kernel                       Relocations: (not relocatable)
Version     : 2.6.8                             Vendor: Red Hat, Inc.
Release     : 1.521                         Build Date: Mon 16 Aug
2004 14:58:46 BST
Install Date: Thu 02 Sep 2004 14:50:11 BST      Build Host:
tweety.build.redhat.com
Group       : System Environment/Kernel     Source RPM:
kernel-2.6.8-1.521.src.rpm
Size        : 39763582                         License: GPLv2
Signature   : DSA/SHA1, Thu 19 Aug 2004 21:03:19 BST, Key ID
b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : The Linux kernel (the core of the Linux operating system).

Name        : k3b                          Relocations: (not relocatable)
Version     : 0.11.12                           Vendor: Red Hat, Inc.
Release     : 1                             Build Date: Sat 26 Jun
2004 03:52:44 BST
Install Date: Tue 07 Sep 2004 15:46:44 BST      Build Host:
tweety.build.redhat.com
Group       : Applications/Archiving        Source RPM:
k3b-0.11.12-1.src.rpm
Size        : 14038170                         License: GPL
Signature   : DSA/SHA1, Thu 01 Jul 2004 21:14:57 BST, Key ID
b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.k3b.org
Summary     : CD/DVD burning application for KDE

Name        : cdrecord                     Relocations: (not relocatable)
Version     : 2.01                              Vendor: Red Hat, Inc.
Release     : 0.a27.4.FC2.3                 Build Date: Wed 08 Sep
2004 09:34:58 BST
Install Date: Mon 13 Sep 2004 10:19:56 BST      Build Host:
tweety.build.redhat.com
Group       : Applications/Archiving        Source RPM:
cdrtools-2.01-0.a27.4.FC2.3.src.rpm
Size        : 869723                           License: GPL
Signature   : DSA/SHA1, Wed 08 Sep 2004 20:10:04 BST, Key ID
b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         :
http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html
Summary     : A command line CD recording program.
Comment 10 Dave Jones 2005-02-13 00:17:28 EST
any improvement with the 2.6.10 kernel updates ?
Comment 11 Dave Jones 2005-04-16 01:52:02 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.